## snowflake 0.01a

=== Makefile ===
# Makefile

CC = gcc

SRCS = sf.c sf_control.c sf_generate.c sf_view.c getopt.c
OBJS = $(SRCS:.c=.o)

HDRS = sf.h getopt.h
INCS = sf_snowflake_xpm.h

all: snowflake

.c.o:
	$(CC) `gtk-config --cflags` -c $*.c -o $*.o

snowflake: $(OBJS)
	$(CC) `gtk-config --libs` $(OBJS) -o $@

getopt: getopt.c
	$(CC) -DTEST_LONG_OPTIONS $< -o $@

clean: 
	rm -f *~ *.o snowflake

sf.o:          $(HDRS)
sf_control.o:  $(HDRS)
sf_generate.o: $(HDRS)
sf_view.o:     $(HDRS) $(INCS)
getopt.o:       getopt.h

## snowflake 1.1.0

=== debian/changelog ===
snowflake (1.1.0-2ubuntu0.1) jammy-security; urgency=medium

  * No change rebuild due to golang-1.18 update. Note that this package
    was built with golang-1.17.

 -- Allen Huang <allen.huang@canonical.com>  Mon, 18 Nov 2024 16:37:45 +0000

snowflake (1.1.0-2) unstable; urgency=medium

  * Source-only upload to allow migration to testing.

 -- Georg Faerber <georg@debian.org>  Wed, 17 Nov 2021 17:19:22 +0000

snowflake (1.1.0-1) unstable; urgency=medium

  * Initial release (Closes: #954176)

 -- Ruben Pollan <meskio@sindominio.net>  Thu, 09 Sep 2021 13:44:52 +0000

=== debian/control ===
Source: snowflake
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Privacy Tools Maintainers <pkg-privacy-maintainers@lists.alioth.debian.org>
Uploaders: Ruben Pollan <meskio@sindominio.net>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               dh-golang,
               golang-any,
               golang-github-google-uuid-dev,
               golang-github-prometheus-client-model-dev,
               golang-github-smartystreets-goconvey-dev,
               golang-github-xtaci-kcp-dev,
               golang-github-xtaci-smux-dev,
               golang-golang-x-crypto-dev,
               golang-golang-x-net-dev,
               golang-google-protobuf-dev,
               golang-goptlib-dev,
               golang-prometheus-client-dev,
               golang-websocket-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/pkg-privacy-team/snowflake
Vcs-Git: https://salsa.debian.org/pkg-privacy-team/snowflake.git
Homepage: https://snowflake.torproject.org
Rules-Requires-Root: no
XS-Go-Import-Path: git.torproject.org/pluggable-transports/snowflake.git

Package: snowflake-proxy
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: WebRTC pluggable transport for Tor (proxy)
 Snowflake helps users circumvent censorship by making a WebRTC
 connection to volunteer proxies. These proxies relay Tor traffic to a
 Snowflake bridge and then to through the Tor network.
 .
 This package provides the proxy.

Package: snowflake-client
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: WebRTC pluggable transport for Tor (client)
 Snowflake helps users circumvent censorship by making a WebRTC
 connection to volunteer proxies. These proxies relay Tor traffic to a
 Snowflake bridge and then to through the Tor network.
 .
 This package provides the client.

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := broker probetest server

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

execute_before_dh_auto_configure:
	cp -av debian/vendor ./

override_dh_auto_install:
	dh_auto_install -- --no-source

## snowflake 2.2.0

=== debian/changelog ===
snowflake (2.2.0-4ubuntu0.1) kinetic-security; urgency=medium

  * No-change rebuild for golang-golang-x-text

 -- Eduardo Barretto <eduardo.barretto@canonical.com>  Tue, 14 Feb 2023 14:41:47 +0100

snowflake (2.2.0-4) unstable; urgency=medium

  * Team upload.
  * Source-only upload for testing migration.

 -- Nilesh Patra <nilesh@debian.org>  Fri, 24 Jun 2022 17:44:42 +0530

snowflake (2.2.0-3) unstable; urgency=medium

  * Team upload.
  * Provide golang-snowflake-dev as library package
  * Un-vendor pion libs that have been accepted
  * Remove copyright entry for pion libs
  * Add golang-github-pion-webrtc.v3-dev as B-D and Dependency for lib package
  * Add missing-indep override for arch:all pkg, do not
    worry about binaries in usr/bin

 -- Nilesh Patra <nilesh@debian.org>  Fri, 17 Jun 2022 20:15:03 +0530

snowflake (2.2.0-2) unstable; urgency=medium

  * Patch tests to don't use entropy.

 -- Ruben Pollan <meskio@sindominio.net>  Thu, 02 Jun 2022 17:33:15 +0200

snowflake (2.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Update vendored code solving CVE-2022-29189, CVE-2022-29190,
    CVE-2022-29222. (Closes: #1011458, #1011457)
  * Remove proxy patch included in upstream.

 -- Ruben Pollan <meskio@sindominio.net>  Thu, 26 May 2022 15:50:00 +0200

=== debian/control ===
--- 
+++ 
@@ -10,16 +10,19 @@
                dh-golang,
                golang-any,
                golang-github-google-uuid-dev,
+               golang-github-gorilla-websocket-dev,
+               golang-github-prometheus-client-golang-dev,
                golang-github-prometheus-client-model-dev,
                golang-github-smartystreets-goconvey-dev,
+               golang-github-stretchr-testify-dev,
                golang-github-xtaci-kcp-dev,
                golang-github-xtaci-smux-dev,
                golang-golang-x-crypto-dev,
                golang-golang-x-net-dev,
                golang-google-protobuf-dev,
-               golang-goptlib-dev,
-               golang-prometheus-client-dev,
-               golang-websocket-dev
+               golang-goptlib-dev (>= 1.2.0),
+               golang-refraction-networking-utls-dev,
+               golang-github-pion-webrtc.v3-dev
 Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/pkg-privacy-team/snowflake
 Vcs-Git: https://salsa.debian.org/pkg-privacy-team/snowflake.git
@@ -50,3 +53,26 @@
  Snowflake bridge and then to through the Tor network.
  .
  This package provides the client.
+
+Package: golang-snowflake-dev
+Architecture: all
+Depends: golang-github-google-uuid-dev,
+         golang-github-gorilla-websocket-dev,
+         golang-github-prometheus-client-golang-dev,
+         golang-github-prometheus-client-model-dev,
+         golang-github-smartystreets-goconvey-dev,
+         golang-github-xtaci-kcp-dev,
+         golang-github-xtaci-smux-dev,
+         golang-golang-x-crypto-dev,
+         golang-golang-x-net-dev,
+         golang-google-protobuf-dev,
+         golang-goptlib-dev (>= 1.2.0),
+         golang-refraction-networking-utls-dev,
+         golang-github-pion-webrtc.v3-dev,
+         ${misc:Depends},
+Description: WebRTC pluggable transport for Tor (library)
+ Snowflake helps users circumvent censorship by making a WebRTC
+ connection to volunteer proxies. These proxies relay Tor traffic to a
+ Snowflake bridge and then to through the Tor network.
+ .
+ This package provides golang library sources.

=== debian/rules ===
--- 
+++ 
@@ -8,5 +8,5 @@
 execute_before_dh_auto_configure:
 	cp -av debian/vendor ./
 
-override_dh_auto_install:
-	dh_auto_install -- --no-source
+override_dh_missing-indep:
+	dh_missing --list-missing

## snowflake 2.3.1

=== debian/changelog ===
snowflake (2.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Remove the vendored code.

 -- Ruben Pollan <meskio@sindominio.net>  Mon, 14 Nov 2022 14:12:58 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: snowflake
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Privacy Tools Maintainers <pkg-privacy-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Privacy Tools Maintainers <pkg-privacy-maintainers@lists.alioth.debian.org>
 Uploaders: Ruben Pollan <meskio@sindominio.net>
 Section: golang
 Testsuite: autopkgtest-pkg-go
@@ -23,7 +22,7 @@
                golang-goptlib-dev (>= 1.2.0),
                golang-refraction-networking-utls-dev,
                golang-github-pion-webrtc.v3-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/pkg-privacy-team/snowflake
 Vcs-Git: https://salsa.debian.org/pkg-privacy-team/snowflake.git
 Homepage: https://snowflake.torproject.org

## snowflake 2.5.1

=== debian/changelog ===
snowflake (2.5.1-1) unstable; urgency=medium

  * New upstream release.
    + Versioned dep on pion-webrtc

 -- Ruben Pollan <meskio@sindominio.net>  Sat, 25 Feb 2023 19:03:02 +0530

=== debian/control ===
--- 
+++ 
@@ -21,8 +21,8 @@
                golang-google-protobuf-dev,
                golang-goptlib-dev (>= 1.2.0),
                golang-refraction-networking-utls-dev,
-               golang-github-pion-webrtc.v3-dev
-Standards-Version: 4.6.1
+               golang-github-pion-webrtc.v3-dev (>= 3.1.56-1~)
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/pkg-privacy-team/snowflake
 Vcs-Git: https://salsa.debian.org/pkg-privacy-team/snowflake.git
 Homepage: https://snowflake.torproject.org
@@ -67,7 +67,7 @@
          golang-google-protobuf-dev,
          golang-goptlib-dev (>= 1.2.0),
          golang-refraction-networking-utls-dev,
-         golang-github-pion-webrtc.v3-dev,
+         golang-github-pion-webrtc.v3-dev (>= 3.1.56-1~),
          ${misc:Depends},
 Description: WebRTC pluggable transport for Tor (library)
  Snowflake helps users circumvent censorship by making a WebRTC

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := broker probetest server common/ipsetsink distinctcounter

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_missing-indep:
	dh_missing --list-missing

## snowflake 2.10.1

=== debian/changelog ===
snowflake (2.10.1-1) unstable; urgency=medium

  [ Micah Anderson ]
  * Add DynamicUser=yes to systemd unit file (Closes: #1075885)

  [ Antoine Beaupré ]
  * New usptream release

 -- Antoine Beaupré <anarcat@debian.org>  Fri, 06 Dec 2024 13:30:29 -0500

=== debian/control ===
--- 
+++ 
@@ -8,26 +8,33 @@
                dh-exec,
                dh-golang,
                golang-any,
+               golang-github-golang-mock-dev,
                golang-github-google-uuid-dev,
                golang-github-gorilla-websocket-dev,
+               golang-github-miekg-dns-dev,
                golang-github-prometheus-client-golang-dev,
                golang-github-prometheus-client-model-dev,
+               golang-github-realclientip-realclientip-go-dev,
+               golang-github-pion-stun-v3-dev,
+               golang-github-txthinking-socks5-dev,
                golang-github-smartystreets-goconvey-dev,
                golang-github-stretchr-testify-dev,
                golang-github-xtaci-kcp-dev,
                golang-github-xtaci-smux-dev,
-               golang-golang-x-crypto-dev,
+               golang-golang-x-crypto-dev (>= 1.5.0),
                golang-golang-x-net-dev,
                golang-google-protobuf-dev,
                golang-goptlib-dev (>= 1.2.0),
                golang-refraction-networking-utls-dev,
-               golang-github-pion-webrtc.v3-dev (>= 3.1.56-1~)
+               golang-ptutil-dev,
+               golang-github-pion-webrtc.v3-dev (>= 3.1.56-4~)
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/pkg-privacy-team/snowflake
 Vcs-Git: https://salsa.debian.org/pkg-privacy-team/snowflake.git
 Homepage: https://snowflake.torproject.org
 Rules-Requires-Root: no
-XS-Go-Import-Path: git.torproject.org/pluggable-transports/snowflake.git
+XS-Go-Import-Path: gitlab.torproject.org/tpo/anti-censorship/pluggable-transports/snowflake/v2,
+                   git.torproject.org/pluggable-transports/snowflake.git
 
 Package: snowflake-proxy
 Architecture: any
@@ -57,9 +64,13 @@
 Architecture: all
 Depends: golang-github-google-uuid-dev,
          golang-github-gorilla-websocket-dev,
+         golang-github-miekg-dns-dev,
          golang-github-prometheus-client-golang-dev,
          golang-github-prometheus-client-model-dev,
          golang-github-smartystreets-goconvey-dev,
+         golang-github-realclientip-realclientip-go-dev,
+         golang-github-pion-stun-v3-dev,
+         golang-github-txthinking-socks5-dev,
          golang-github-xtaci-kcp-dev,
          golang-github-xtaci-smux-dev,
          golang-golang-x-crypto-dev,
@@ -67,7 +78,7 @@
          golang-google-protobuf-dev,
          golang-goptlib-dev (>= 1.2.0),
          golang-refraction-networking-utls-dev,
-         golang-github-pion-webrtc.v3-dev (>= 3.1.56-1~),
+         golang-github-pion-webrtc.v3-dev (>= 3.1.56-4~),
          ${misc:Depends},
 Description: WebRTC pluggable transport for Tor (library)
  Snowflake helps users circumvent censorship by making a WebRTC

=== debian/rules ===
--- 
+++ 
@@ -5,5 +5,5 @@
 %:
 	dh $@ --builddirectory=_build --buildsystem=golang --with=golang
 
-override_dh_missing-indep:
+override_dh_missing:
 	dh_missing --list-missing

=== debian/watch ===
version=4
opts="mode=git" \
https://git.torproject.org/pluggable-transports/snowflake.git refs/tags/v([\d\.]+)

## snowflake cli-3.10.1

=== snyk/requirements.txt ===
GitPython==3.1.44
PyYAML==6.0.2
annotated-types==0.7.0
asn1crypto==1.5.1
boto3==1.40.9
botocore==1.40.9
certifi==2025.8.3
cffi==1.17.1
cfgv==3.4.0
charset-normalizer==3.4.3
click==8.1.8
cryptography==45.0.6
faker==37.4.0
filelock==3.18.0
gitdb==4.0.12
identify==2.6.13
idna==3.10
iniconfig==2.1.0
jinja2==3.1.6
keyring==25.6.0
markdown-it-py==4.0.0
markupsafe==3.0.2
nodeenv==1.9.1
packaging
pip
platformdirs==4.3.8
pluggy==1.6.0
prompt-toolkit==3.0.51
pydantic-core==2.33.2
pydantic==2.11.7
pygments==2.19.2
pyjwt==2.10.1
pyopenssl==25.1.0
python-dateutil==2.9.0.post0
pytz==2025.2
requests==2.32.4
requirements-parser==0.13.0
rich==14.0.0
setuptools==80.8.0
shellingham==1.5.4
snowflake-connector-python[secure-local-storage]==3.16.0
snowflake-core==1.6.0
snowflake-snowpark-python==1.33.0;python_version < "3.12"
snowflake.core==1.6.0
sortedcontainers==2.4.0
tomlkit==0.13.3
typer==0.16.0
typing-extensions==4.14.1
typing-inspection==0.4.1
urllib3>=1.24.3,<2.6
virtualenv==20.34.0
wcwidth==0.2.13
werkzeug==3.1.3
Faker==37.4.0
coverage==7.8.0
factory-boy==3.3.3
pre-commit>=3.5.0
pytest-httpserver==1.1.3
pytest-randomly==3.16.0
pytest==8.4.1
syrupy==4.9.1

## snowflake cli-3.12.0

=== snyk/requirements.txt ===
# This file was autogenerated by uv via the following command:
#    uv pip compile pyproject.toml -o snyk/requirements.txt -p 3.10 --no-annotate --universal
annotated-types==0.7.0
asn1crypto==1.5.1
backports-tarfile==1.2.0 ; python_full_version < '3.12'
boto3==1.39.14
botocore==1.39.14
certifi==2025.7.14
cffi==1.17.1
charset-normalizer==3.4.2
click==8.1.8
cloudpickle==3.0.0 ; python_full_version < '3.12'
colorama==0.4.6 ; sys_platform == 'win32'
cryptography==45.0.5
filelock==3.18.0
gitdb==4.0.12
gitpython==3.1.44
id==1.5.0
idna==3.10
importlib-metadata==8.7.0 ; python_full_version < '3.12'
jaraco-classes==3.4.0
jaraco-context==6.0.1
jaraco-functools==4.2.1
jeepney==0.9.0 ; sys_platform == 'linux'
jinja2==3.1.6
jmespath==1.0.1
keyring==25.6.0
markdown-it-py==3.0.0
markupsafe==3.0.2
mdurl==0.1.2
more-itertools==10.7.0
packaging==25.0
pip==25.1.1
platformdirs==4.3.8
pluggy==1.6.0
prompt-toolkit==3.0.51
protobuf==5.29.5 ; python_full_version < '3.12'
pycparser==2.22
pydantic==2.11.7
pydantic-core==2.33.2
pygments==2.19.2
pyjwt==2.10.1
pyopenssl==25.1.0
python-dateutil==2.9.0.post0
pytz==2025.2
pywin32-ctypes==0.2.3 ; sys_platform == 'win32'
pyyaml==6.0.2
requests==2.32.4
requirements-parser==0.13.0
rich==14.0.0
s3transfer==0.13.1
secretstorage==3.3.3 ; sys_platform == 'linux'
setuptools==80.8.0
shellingham==1.5.4
six==1.17.0
smmap==5.0.2
snowflake-connector-python==3.17.3
snowflake-core==1.7.0
snowflake-snowpark-python==1.33.0 ; python_full_version < '3.12'
sortedcontainers==2.4.0
tomlkit==0.13.3
typer==0.17.3
typing-extensions==4.14.1
typing-inspection==0.4.1
tzdata==2025.2 ; python_full_version < '3.12' and sys_platform == 'win32'
tzlocal==5.3.1 ; python_full_version < '3.12'
urllib3==2.5.0
wcwidth==0.2.13
wheel==0.45.1 ; python_full_version < '3.12'
zipp==3.23.0 ; python_full_version < '3.12'

=== tests/test_data/projects/depends_on_basic/requirements.txt ===
snowflake-snowpark-python
dummy-pkg-for-tests

=== tests/test_data/projects/snowpark_function_external_access/requirements.txt ===
snowflake-snowpark-python

=== tests/test_data/projects/snowpark_function_fully_qualified_name/requirements.txt ===
snowflake-snowpark-python
#snowcli  # for local development

=== tests_integration/test_data/projects/snowpark/requirements.txt ===
snowflake-snowpark-python
syrupy
#snowcli  # for local development

=== tests_integration/test_data/projects/snowpark_duplicate_test/requirements.txt ===
httpx>=0.20.0
httpx-retries==0.4.2  
aiohttp>=3.8.0

=== tests_integration/test_data/projects/snowpark_external_access_v1/requirements.txt ===
snowflake-snowpark-python
syrupy

=== tests_integration/test_data/projects/snowpark_vectorized_v1/requirements.txt ===
snowflake-snowpark-python
pandas
syrupy
numpy>=1.22.2 # not directly required, pinned by Snyk to avoid a vulnerability

=== tests_integration/test_data/projects/snowpark_version_check_v1/requirements.txt ===
mypy==1.3.0  # Earliest 1.* version in Anaconda is 1.5

=== tests_integration/test_data/projects/snowpark_with_import_v1/requirements.txt ===
snowflake-snowpark-python

# Package below should not be in snowflake anaconda
# To assure we have full control over it we use out own dummy pkg
# https://pypi.org/project/dummy-pkg-for-tests/

=== tests_integration/test_data/projects/snowpark_with_single_requirements_having_no_other_deps_v1/requirements.txt ===
snowflake-snowpark-python

# Package below should not be in snowflake anaconda
# To assure we have full control over it we use out own dummy pkg
# https://pypi.org/project/dummy-pkg-for-tests/
dummy-pkg-for-tests

=== tests_integration/test_data/projects/snowpark_with_single_requirements_having_transient_deps_v1/requirements.txt ===
snowflake-snowpark-python

# Package below should not be in snowflake anaconda
# To assure we have full control over it we use out own dummy pkg
# https://pypi.org/project/dummy-pkg-for-tests-with-deps/
dummy-pkg-for-tests-with-deps
